Summary:	D. J. Bernstein daemontools
Summary(pl.UTF-8):	daemontools D. J. Bernsteina
Name:		daemontools
Version:	0.76
Release:	14
License:	Public Domain
Group:		Networking/Admin
Source0:	http://cr.yp.to/daemontools/%{name}-%{version}.tar.gz
# Source0-md5:	1871af2453d6e464034968a0fbcb2bfc
Source1:	http://smarden.org/pape/djb/manpages/%{name}-%{version}-man.tar.gz
# Source1-md5:	2d3858a48f293c87202f76cd883438ee
Source2:	%{name}.sysconfig
Source3:	%{name}.init
Patch0:		%{name}-glibc.patch
URL:		http://cr.yp.to/daemontools.html
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
Conflicts:	ucspi-tcp < 0.88-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# /etc/service or /var/lib/service? (also in .sysconfig)
%define		servicedir	/service

%description
daemontools is a collection of tools for managing UNIX services.

supervise monitors a service. It starts the service and restarts the
service if it dies. Setting up a new service is easy: all supervise
needs is a directory with a run script that runs the service.

multilog saves error messages to one or more logs. It optionally
timestamps each line and, for each log, includes or excludes lines
matching specified patterns. It automatically rotates logs to limit
the amount of disk space used. If the disk fills up, it pauses and
tries again, without losing any data.

%description -l pl.UTF-8
daemontools to zestaw narzędzi do zarządzania usługami uniksowymi.

supervise monitoruje usługi. Startuje usługi i restartuje je, gdy
umrą. Ustawienie nowej usługi jest proste: wszystko czego supervise
potrzebuje to katalog ze skryptami startowymi, które startują usługi.

multilog zapisuje komunikaty o błędach do jednego lub większej liczby
plików logów. Opcjonalnie oznacza każdą linię datą oraz, w każdym
logu, dołącza lub pomija linie pasujące do określonych wzorców.
Automatycznie wykonuje rotację logów do limitu miejsca na dysku.
Jeżeli dysk jest zapełniony, pauzuje i próbuje ponownie, bez strat
danych.

%prep
%setup -q -c -a1
mv admin/daemontools-%{version}/* .
cd src
%patch0 -p0

%build
echo "%{__cc} %{rpmcflags} -Wall" > src/conf-cc
echo "%{__cc} %{rpmldflags}" > src/conf-ld
./package/compile

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_sysconfdir}/supervise \
	$RPM_BUILD_ROOT{/var/lib/service,%{servicedir}}

# install manuals
cp -p %{name}-man/*.8* $RPM_BUILD_ROOT%{_mandir}/man8

# install binaries
cd command
install -p envdir envuidgid fghack multilog pgrphack \
	readproctitle setlock setuidgid softlimit \
	supervise svc svok svscan svscanboot svstat tai64n tai64nlocal \
	$RPM_BUILD_ROOT%{_sbindir}

# install rc & sysconfig files
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/svscan
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/svscan

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add svscan
%service svscan restart

%preun
if [ "$1" = "0" ]; then
	%service svscan stop
	/sbin/chkconfig --del svscan
fi

%files
%defattr(644,root,root,755)
%doc package/README src/{CHANGES,TODO}
%attr(755,root,root) %{_sbindir}/envdir
%attr(755,root,root) %{_sbindir}/envuidgid
%attr(755,root,root) %{_sbindir}/fghack
%attr(755,root,root) %{_sbindir}/multilog
%attr(755,root,root) %{_sbindir}/pgrphack
%attr(755,root,root) %{_sbindir}/readproctitle
%attr(755,root,root) %{_sbindir}/setlock
%attr(755,root,root) %{_sbindir}/setuidgid
%attr(755,root,root) %{_sbindir}/softlimit
%attr(755,root,root) %{_sbindir}/supervise
%attr(755,root,root) %{_sbindir}/svc
%attr(755,root,root) %{_sbindir}/svok
%attr(755,root,root) %{_sbindir}/svscan
%attr(755,root,root) %{_sbindir}/svscanboot
%attr(755,root,root) %{_sbindir}/svstat
%attr(755,root,root) %{_sbindir}/tai64n
%attr(755,root,root) %{_sbindir}/tai64nlocal
%attr(700,root,root) %{servicedir}
%dir %{_sysconfdir}/supervise
%attr(700,root,root) /var/lib/service
%attr(754,root,root) /etc/rc.d/init.d/svscan
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/svscan
%{_mandir}/man8/envdir.8*
%{_mandir}/man8/envuidgid.8*
%{_mandir}/man8/fghack.8*
%{_mandir}/man8/multilog.8*
%{_mandir}/man8/pgrphack.8*
%{_mandir}/man8/readproctitle.8*
%{_mandir}/man8/setlock.8*
%{_mandir}/man8/setuidgid.8*
%{_mandir}/man8/softlimit.8*
%{_mandir}/man8/supervise.8*
%{_mandir}/man8/svc.8*
%{_mandir}/man8/svok.8*
%{_mandir}/man8/svscan.8*
%{_mandir}/man8/svscanboot.8*
%{_mandir}/man8/svstat.8*
%{_mandir}/man8/tai64n.8*
%{_mandir}/man8/tai64nlocal.8*
%changelog
* Tue Aug 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/daemontools.git;a=log;h=master

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> a140211
- really drop upstart
- rel 14

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> beffaa8
- drop upstart support
- rel 13

* Fri Mar 23 2012 Elan Ruusamäe <glen@pld-linux.org> 940f2a3
- do not depend on network

* Wed Oct 05 2011 Elan Ruusamäe <glen@pld-linux.org> 0239bab
- release 11

* Sun Sep 25 2011 Elan Ruusamäe <glen@pld-linux.org> c63b8e8
- update upstart deps

* Fri Apr 08 2011 Elan Ruusamäe <glen@pld-linux.org> 9bfb5da
- verbose files

* Fri Apr 08 2011 Elan Ruusamäe <glen@pld-linux.org> 0703e57
- install upstart config

* Thu Jan 27 2011 Elan Ruusamäe <glen@pld-linux.org> ea9f10f
- formatting

* Thu Jan 27 2011 Elan Ruusamäe <glen@pld-linux.org> af76c7d
- upstart hook

* Thu Jan 27 2011 Elan Ruusamäe <glen@pld-linux.org> 5af4f8e
- add upstart rule

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b37daa
- drop obsolete files

* Mon Nov 10 2008 Elan Ruusamäe <glen@pld-linux.org> db1543a
- release 9

* Mon May 05 2008 Elan Ruusamäe <glen@pld-linux.org> 03fbf1f
- fixed zombies in initscript after stop, drop findutils dep
- use own builddir
- /etc/tcprules.d moved to ucspi-tcp package
- versioned rc-scripts due --fork in daemon()
- rel 8

* Mon May 05 2008 Elan Ruusamäe <glen@pld-linux.org> 7419b5d
- <s>/log only

* Mon May 05 2008 Elan Ruusamäe <glen@pld-linux.org> 44b049f
- drop requirement of find(1)

* Mon May 05 2008 Elan Ruusamäe <glen@pld-linux.org> 59b19ca
- unbreak finding log services

* Mon May 05 2008 Elan Ruusamäe <glen@pld-linux.org> 62c0779
- report svstat output in status action

* Sun Apr 27 2008 Elan Ruusamäe <glen@pld-linux.org> 3cefc2e
- rel 7

* Sun Apr 27 2008 Elan Ruusamäe <glen@pld-linux.org> fcb8bd6
- updated initscript, License is Public Domain; rel 6

* Sun Apr 27 2008 Elan Ruusamäe <glen@pld-linux.org> afd7c10
- add try-restart/force-reload

